/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.lang;

import org.apache.commons.lang.exception.NestableRuntimeException;

/**
 * 运行期异常
 *
 * @author Lucky Yang
 * @see org.apache.commons.lang.exception.NestableRuntimeException
 */
public class CommonRuntimeException extends NestableRuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -9179893624197702598L;

	public CommonRuntimeException() {
		super();
	}

	public CommonRuntimeException(String msg, Throwable cause) {
		super(msg, cause);
	}

	public CommonRuntimeException(String msg) {
		super(msg);
	}

	public CommonRuntimeException(Throwable cause) {
		super(cause);
	}

}
