/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.lang.domain;

import java.io.Serializable;

/**
 * 持久化类
 *
 * @author Lucky Yang
 */
public abstract class Persistent<PK extends Serializable> extends BaseEntity<PK> {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6205435037209687481L;

	public abstract void copyProperties(Object source);
}
